Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » App error please(App error please)
App error please [message #904913] Wed, 29 August 2012 11:20 Go to next message
RP Mar is currently offline RP Mar
Messages: 68
Registered: August 2012
Member
Please kindly help me reg my errors plz...
Eclipse Juno ide.

Application error org.eclipse.osgi
Product xxx_xxxx_Tool.product org.eclipse.equinox.app
--------------------
Application error


java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDefaultApp(EclipseAppContainer.java:236)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run(MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:368)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:559)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:514)
at org.eclipse.equinox.launcher.Main.run(Main.java:1311)
at org.eclipse.equinox.launcher.Main.main(Main.java:1287)
----------
Re: App error please [message #904934 is a reply to message #904913] Wed, 29 August 2012 12:09 Go to previous messageGo to next message
Joseph Carroll is currently offline Joseph Carroll
Messages: 174
Registered: May 2012
Location: Milwaukee, WI
Senior Member

I would need more information about what you are doing in order to help. Are you trying to run an Eclipse4 application you built, or are you using Juno to build/run a 3.x application?

In either case, make sure you have the four features listed as dependencies in your product file:
- org.eclipse.rcp
- org.eclipse.rcp.e4
- org.eclipse.emf.ecore
- org.eclipse.emf.common

You might also want to read through the following tutorial:
http://www.vogella.com/articles/EclipseRCP/article.html

JD
Re: App error please [message #905272 is a reply to message #904934] Thu, 30 August 2012 03:54 Go to previous messageGo to next message
RP Mar is currently offline RP Mar
Messages: 68
Registered: August 2012
Member
Please kindly help me here is my work info.
Existing application eclispe sdk,eclipse3.x there but not implemented eclipse rcp.
I am working on Re Structuring of tool application on eclipse rcp implementation.
Eclipse for RCP and RAP Developers,Version: Juno Release
Build id: 20120614-1722 IDE.

Src folder:- It contains several java classes

xxx.product, here below product info...

Dependencies:-

<plugin id="com.ibm.icu"/>
<plugin id="javax.servlet"/>
<plugin id="org.eclipse.core.commands"/>
<plugin id="org.eclipse.core.contenttype"/>
<plugin id="org.eclipse.core.databinding"/>
<plugin id="org.eclipse.core.databinding.observable"/>
<plugin id="org.eclipse.core.databinding.property"/>
<plugin id="org.eclipse.core.expressions"/>
<plugin id="org.eclipse.core.jobs"/>
<plugin id="org.eclipse.core.runtime"/>
<plugin id="org.eclipse.core.runtime.compatibility.auth"/>
<plugin id="org.eclipse.equinox.app"/>
<plugin id="org.eclipse.equinox.app.source"/>
<plugin id="org.eclipse.equinox.common"/>
<plugin id="org.eclipse.equinox.ds"/>
<plugin id="org.eclipse.equinox.ds.source"/>
<plugin id="org.eclipse.equinox.launcher"/>
<plugin id="org.eclipse.equinox.launcher.win32.win32.x86" fragment="true"/>
<plugin id="org.eclipse.equinox.preferences"/>
<plugin id="org.eclipse.equinox.registry"/>
<plugin id="org.eclipse.equinox.util"/>
<plugin id="org.eclipse.equinox.util.source"/>
<plugin id="org.eclipse.help"/>
<plugin id="org.eclipse.jface"/>
<plugin id="org.eclipse.jface.databinding"/>
<plugin id="org.eclipse.osgi"/>
<plugin id="org.eclipse.osgi.services"/>
<plugin id="org.eclipse.osgi.services.source"/>
<plugin id="org.eclipse.rcp"/>
<plugin id="org.eclipse.rcp.source"/>
<plugin id="org.eclipse.swt"/>
<plugin id="org.eclipse.swt.win32.win32.x86" fragment="true"/>
<plugin id="org.eclipse.ui"/>
<plugin id="org.eclipse.ui.workbench"/>
----------------------------------------------------------
Configuration:-

Org.eclipse.core.runtime
org.eclipse.equinox.common
org.eclipse.osgi
-----------------------------------------------------
Meta-inf ,MANIFEST.MF

Dependencies:-

org.eclipse.ui
org.eclipse.core.runtime
-------------------------------------------------
Manifest.mf

Manifest-Version: 1.0
Bundle-ManifestVersion: 2
Bundle-Name: %Bundle-Name
Bundle-SymbolicName: _Tool; singleton:=true
Bundle-Version: 1.0.0.qualifier
Bundle-Activator: _tool.Activator
Require-Bundle: org.eclipse.ui,
org.eclipse.core.runtime
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Vendor: %Bundle-Vendor
Eclipse-LazyStart: true
Eclipse-AutoStart: true
------------------------------------------------
build.properties
source.. = src/
output.. = bin/
bin.includes = plugin.xml,\
META-INF/,\
.,\
icons/,\
splash.bmp,\
.classpath,\
.project,\
.settings/,\
bin/,\
build.properties,\
xxx.product,\
OSGI-INF/l10n/bundle.properties
src.includes = Output/,\
res/
----------------------------
Config.ini file.....


#This configuration file was written by: org.eclipse.equinox.internal.frameworkadmin.equinox.EquinoxFwConfigFileParser
#Wed Aug 29 11:20:20 IST 2012
org.eclipse.update.reconcile=false
eclipse.p2.profile=epp.package.rcp
osgi.instance.area.default=@user.home/workspace
osgi.framework=file\:plugins/org.eclipse.osgi_3.8.0.v20120529-1548.jar
equinox.use.ds=true
eclipse.buildId=I20120608-1400
osgi.bundles=reference\:file\:org.eclipse.equinox.simpleconfigurator_1.0.300.v20110815-1744.jar@1\:start
org.eclipse.equinox.simpleconfigurator.configUrl=file\:org.eclipse.equinox.simpleconfigurator/bundles.info
eclipse.product=org.eclipse.platform.ide
osgi.splashPath=platform\:/base/plugins/org.eclipse.platform
osgi.framework.extensions=
osgi.bundles.defaultStartLevel=4
eclipse.p2.data.area=@config.dir/../p2/
eclipse.application=org.eclipse.ui.ide.workbench
---------------


Re: App error please [message #905433 is a reply to message #905272] Thu, 30 August 2012 11:25 Go to previous messageGo to next message
Matthias Gsteu is currently offline Matthias Gsteu
Messages: 5
Registered: August 2012
Junior Member
I did not read this post very well, but it often helps to simply go to your launch configuration and press "Validate Plug-Ins". This will give you a hint if all of the dependencies can be resolved. If not, try the "Add Required Plug-Ins" button and hit "Validate Plug-Ins".

If it then says that no problems were detected your chances are good to be able to launch your application.
Re: App error please [message #905445 is a reply to message #905433] Thu, 30 August 2012 11:55 Go to previous message
RP Mar is currently offline RP Mar
Messages: 68
Registered: August 2012
Member
Run->Run Configurations->Plug-ins
press the "Validate Plug-ins" button & check the validate plug-ins automatically prior to launching...
below is my error please...
Kindly help me please...

Exception launching the Eclipse Platform:
java.lang.ClassNotFoundException: org.eclipse.core.runtime.adaptor.EclipseStarter
at java.net.URLClassLoader$1.run(Unknown Source)
at java.net.URLClassLoader$1.run(Unknown Source)
at java.security.AccessController.doPrivileged(Native Method)
at java.net.URLClassLoader.findClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at java.lang.ClassLoader.loadClass(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:626)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
at org.eclipse.equinox.launcher.Main.run(Main.java:1438)
at org.eclipse.equinox.launcher.Main.main(Main.java:1414)
Previous Topic:Eclipse 4 and Web
Next Topic:How to insert Xtext editor into my RCP
Goto Forum:
  


Current Time: Wed Sep 03 04:45:30 GMT 2014

Powered by FUDForum. Page generated in 0.02165 seconds